/* $offscreen-menu
 ------------------------------------------*/

@media (max-width: $screen-xs-max) {
    * {
        -webkit-overflow-scrolling: touch;
    }
    .main-panel {
        position: relative;
        min-height: 100%;
    }
    .main-panel,
    .brand {
        width: 100%;
    }
    .main-panel,
    .sidebar-panel {
        @include transition(transform $transition-duration cubic-bezier(0.7, 0, 0.3, 1));
    }
    .offscreen {
        .main-panel {
            overflow: hidden;
            position: fixed;
        }
        footer.content-footer {
            display: none;
        }
    }
    .sidebar-panel {
        z-index: 9999;
        @include translate(-100%, 0);
        @include translate3d(-100%, 0, 0);
    }
    .offscreen .sidebar-panel {
        @include translate(0, 0);
        @include translate3d(0, 0, 0);
    }
    .app .offscreen-left,
    .app .offscreen-right {
        width: $sidebar-width-sm;
    }
    .app .offscreen-right,
    .app.layout-right-sidebar .sidebar-panel {
        right: 0;
    }
    .move-left .main-panel {
        @include translate($sidebar-width-sm, 0);
        @include translate3d($sidebar-width-sm, 0, 0);
    }
    .move-right .main-panel {
        @include translate(-$sidebar-width-sm, 0);
        @include translate3d(-$sidebar-width-sm, 0, 0);
    }
    .move-right .sidebar-panel > nav {
        @include translate(0, 0);
        @include translate3d(0, 0, 0);
    }
    .no-csstransforms .move-right .main-panel {
        right: $sidebar-width-sm;
    }
    .no-csstransforms .move-left .main-panel {
        left: $sidebar-width-sm;
    }
}